# pion::PionMultiThreadScheduler Class Reference

`#include <PionScheduler.hpp>`

Inherits pion::PionScheduler.

Inherited by pion::PionOneToOneScheduler, and pion::PionSingleServiceScheduler.

List of all members.

## Detailed Description

PionMultiThreadScheduler: uses a pool of threads to perform work

Definition at line 199 of file PionScheduler.hpp.

## Public Member Functions

| PionMultiThreadScheduler (void)
| constructs a new PionSingleServiceScheduler
virtual | ~PionMultiThreadScheduler ()
| virtual destructor

## Protected Types

typedef std::vector< boost::shared_ptr< boost::thread > > | ThreadPool
| typedef for a pool of worker threads

## Protected Member Functions

virtual void | stopThreads (void)
| stops all threads used to perform work
virtual void | finishThreads (void)
| finishes all threads used to perform work

## Protected Attributes

ThreadPool | m_thread_pool
| pool of threads used to perform work

The documentation for this class was generated from the following file:

- common/include/pion/PionScheduler.hpp